#
# spec file for package python-django-contrib-comments
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python36 1
%{?sle15_python_module_pythons}
Name:           python-django-contrib-comments
Version:        2.2.0
Release:        2.2
Summary:        Framework for attaching comments to Django models
License:        BSD-3-Clause
URL:            https://github.com/django/django-contrib-comments
Source:         https://files.pythonhosted.org/packages/source/d/django-contrib-comments/django-contrib-comments-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 2.2
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django >= 2.2}
# /SECTION
%python_subpackages

%description
This framework can be used to attach comments to any model, so you can use
it for comments on blog entries, photos, book chapters, or anything else.

This is the same framework that was removed from Django 1.6.

%prep
%autosetup -p1 -n django-contrib-comments-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec tests/runtests.py

%files %{python_files}
%doc README.rst HISTORY.rst
%license LICENSE.txt
%{python_sitelib}/django_comments
%{python_sitelib}/django_contrib_comments-%{version}*-info

%changelog
* Wed Mar 13 2024 Matej Cepl <mcepl@cepl.eu>
- Clean up the SPEC file
* Tue Mar 12 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 2.2.0:
  * Confirmed support for Django 4.0.
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Thu May 20 2021 pgajdos@suse.com
- %%check: do not use deprecated setup.py test
* Wed May 12 2021 Markéta Machová <mmachova@suse.com>
- Update to 2.1.0
  * Removed support for Python 2.
  * Confirmed support for Django 3.1 and avoid deprecation warnings.
  * Dropped support for Django 1.11, 2.0, and 2.1.
  * Added support for Django 3.2.
  * Confirmed support for Python 3.9.
  * Added the delete_stale_comments management command.
* Tue Jan  7 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.2:
  * Prevented deprecation warnings with Django 3.0.
  * Updated Danish and Indonesian translations.
* Tue Apr  9 2019 John Vandenberg <jayvdb@gmail.com>
- Activate test suite, and set Source to PyPI sdist
- Remove unnecessary build dependency on python-devel
- Use %%license and set License to BSD-3-Clause
- Add fdupes
- Update to v1.9.1
  * Updated translations
* Wed Dec 12 2018 Garret Wassermann <garret@wassiverse.com>
- Initial spec for version 1.9.0
